<div class="card">
    <div class="card-body">
<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal" data-bs-whatever="@fat">Add Subcategory</button>

        <div id="datatable-example_wrapper" class="dataTables_wrapper dt-bootstrap4"><div class="row"><div class="col-sm-12 col-md-6"><div class="dataTables_length" id="datatable-example_length"><label>Show <select name="datatable-example_length" aria-controls="datatable-example" class="custom-select custom-select-sm form-control form-control-sm"><option value="10">10</option><option value="25">25</option><option value="50">50</option><option value="100">100</option></select> entries</label></div></div><div class="col-sm-12 col-md-6"><div id="datatable-example_filter" class="dataTables_filter"><label>Search:<input type="search" [(ngModel)]="search_name" class="form-control form-control-sm" placeholder="" aria-controls="datatable-example"></label></div></div></div><div class="row"><div class="col-sm-12"><table id="datatable-example" class="table dataTable dtr-inline collapsed" role="grid" aria-describedby="datatable-example_info" style="width: 1076px;">
            <thead>
            <tr role="row"><th class="sorting_asc" tabindex="0" aria-controls="datatable-example" rowspan="1" colspan="1" style="width: 175px;" aria-sort="ascending" aria-label="Name: activate to sort column descending">Name</th>
                <th class="sorting" tabindex="0" aria-controls="datatable-example" rowspan="1" colspan="1" style="width: 270px;" aria-label="Position: activate to sort column ascending">Descreption</th>

                <th class="sorting" tabindex="0" aria-controls="datatable-example" rowspan="1" colspan="1" style="width: 270px;" aria-label="Position: activate to sort column ascending">Actions</th>

             </thead>
            <tbody>
         
            <tr *ngFor="let c of listsubcategory |recherche1:search_name  | paginate: { itemsPerPage: 2, currentPage: p }" role="row" class="odd">
                <td tabindex="0" class="sorting_1">{{c.namesub}}</td>
                <td>{{c.description}}</td>

                <td class="text-end">
                    <div class="dropdown">
                        <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                            <i class="bi bi-three-dots"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <a href="#" class="dropdown-item">View Profile</a>
                            <a href="#" class="dropdown-item">Edit</a>
                            <a (click)="deletesubcategory(c.id)" class="dropdown-item text-danger">Delete</a>
                        </div>
                    </div>
                </td>


            </tr></tbody>

           
        </table>
        <pagination-controls (pageChange)="p = $event"></pagination-controls>

    </div></div>
    &nbsp; &nbsp; &nbsp; &nbsp;
    <div class="row"><div class="col-sm-12 col-md-5"><div class="dataTables_info" id="datatable-example_info" role="status" aria-live="polite">Showing 1 to 10 of 57 entries</div></div><div class="col-sm-12 col-md-7"><div class="dataTables_paginate paging_simple_numbers" id="datatable-example_paginate"><ul class="pagination"><li class="paginate_button page-item previous disabled" id="datatable-example_previous"><a href="#" aria-controls="datatable-example" data-dt-idx="0" tabindex="0" class="page-link">Previous</a></li><li class="paginate_button page-item active"><a href="#" aria-controls="datatable-example" data-dt-idx="1" tabindex="0" class="page-link">1</a></li><li class="paginate_button page-item "><a href="#" aria-controls="datatable-example" data-dt-idx="2" tabindex="0" class="page-link">2</a></li><li class="paginate_button page-item "><a href="#" aria-controls="datatable-example" data-dt-idx="3" tabindex="0" class="page-link">3</a></li><li class="paginate_button page-item "><a href="#" aria-controls="datatable-example" data-dt-idx="4" tabindex="0" class="page-link">4</a></li><li class="paginate_button page-item "><a href="#" aria-controls="datatable-example" data-dt-idx="5" tabindex="0" class="page-link">5</a></li><li class="paginate_button page-item "><a href="#" aria-controls="datatable-example" data-dt-idx="6" tabindex="0" class="page-link">6</a></li><li class="paginate_button page-item next" id="datatable-example_next"><a href="#" aria-controls="datatable-example" data-dt-idx="7" tabindex="0" class="page-link">Next</a></li></ul></div></div></div></div>
    </div>
  
</div>





<div class="modal-footer">
    <button type="button" class="btn btn-danger" data-bs-dismiss="modal" (click)="createsubcategory()">save</button>
  
  </div>

  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">New message</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form [formGroup]="subcategoryForm" >
            <div class="mb-3">
              <label for="recipient-name" class="col-form-label">Name:</label>
              <input type="text" formControlName="namesub" class="form-control" id="recipient-name">
            </div>
            <div class="mb-3">
              <label for="message-text" class="col-form-label">Description:</label>
              <textarea class="form-control" formControlName="description" id="message-text"></textarea>
            </div>

            <div class="mb-3">
                <label for="validationCustom04" class="form-label">Category</label>
                <select class="form-select" id="validationCustom04" required  formControlName="id_categorie">
                  <option  *ngFor="let c of listcategory"  [value]="c.id">{{c.name}}</option>
                  
                </select>
            </div>

          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-bs-dismiss="modal" (click)="createsubcategory()">save</button>
        
        </div>
